summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Iskar Enev <iskar.enev@gmail.com>2010-05-11 14:56:22 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:56:22 +0200
commit4fe056594cc76e5a1394ecb4f5763b0a739d8b5b (patch)
tree5343d0188a33f6a77c3082b52608622c5e585684 /libraries
parentf95c72ebfeacd3d9d3b96b0764d85d90fe6580ff (diff)
downloadslackbuilds-4fe056594cc76e5a1394ecb4f5763b0a739d8b5b.tar.gz
slackbuilds-4fe056594cc76e5a1394ecb4f5763b0a739d8b5b.tar.xz
libraries/libxmlxx: Initial import
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libxmlxx/README5
-rw-r--r--libraries/libxmlxx/libxmlxx.SlackBuild61
-rw-r--r--libraries/libxmlxx/libxmlxx.info8
-rw-r--r--libraries/libxmlxx/slack-desc19
4 files changed, 93 insertions, 0 deletions
diff --git a/libraries/libxmlxx/README b/libraries/libxmlxx/README
new file mode 100644
index 0000000000..ddee39a925
--- /dev/null
+++ b/libraries/libxmlxx/README
@@ -0,0 +1,5 @@
+libxml++ is a C++ wrapper for the libxml XML parser library. Its original
+author is Ari Johnson and it is currently maintained by Christophe de
+Vienne and Murray Cumming. It is released under the LGPL version 2 or above.
+
+Requires: glibmm (slackbuild available at slackbuilds.org)
diff --git a/libraries/libxmlxx/libxmlxx.SlackBuild b/libraries/libxmlxx/libxmlxx.SlackBuild
new file mode 100644
index 0000000000..4a82214d15
--- /dev/null
+++ b/libraries/libxmlxx/libxmlxx.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for libxml++
+# Written by Iskar Enev <iskar.enev@gmail.com>
+
+PRGNAM=libxmlxx
+PKGNAME=libxml++
+VERSION=2.18.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PKGNAME
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAME-$VERSION
+tar -xjvf $CWD/$PKGNAME-$VERSION.tar.bz2
+cd $PKGNAME-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PKGNAME-$VERSION
+mv $PKG/usr/share/doc/libxml++-2.6/docs/* $PKG/usr/doc/$PKGNAME-$VERSION
+( cd $PKG/usr
+ rmdir -p share/doc/libxml++-2.6/docs
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libxmlxx/libxmlxx.info b/libraries/libxmlxx/libxmlxx.info
new file mode 100644
index 0000000000..a59aab09df
--- /dev/null
+++ b/libraries/libxmlxx/libxmlxx.info
@@ -0,0 +1,8 @@
+PRGNAM="libxmlxx"
+VERSION="2.18.0"
+HOMEPAGE="http://libxmlplusplus.sourceforge.net"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.18/libxml++-2.18.0.tar.bz2"
+MD5SUM="ae1d27f2117193bbd71dec92a265db9a"
+MAINTAINER="Iskar Enev"
+EMAIL="iskar.enev@gmail.com"
+APPROVED="BP{k}"
diff --git a/libraries/libxmlxx/slack-desc b/libraries/libxmlxx/slack-desc
new file mode 100644
index 0000000000..c8e41e01db
--- /dev/null
+++ b/libraries/libxmlxx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------------|
+libxml++: libxml++
+libxml++:
+libxml++: libxml++ is a C++ wrapper for the libxml XML parser library. Its
+libxml++: original author is Ari Johnson and it is currently maintained by
+libxml++: Christophe de Vienne and Murray Cumming. It is released under the LGPL
+libxml++: version 2 or above.
+libxml++:
+libxml++:
+libxml++:
+libxml++:
+libxml++: